package cz.moneta.test.dsl.auto.smartauto.shared;

import cz.moneta.test.harness.support.web.DynamicPathPart;

public enum Year implements DynamicPathPart {
    _2012("2012"),
    _2014("2014"),
    _2019("2019"),
    _2020("2020"),
    _2021("2021"),
    _2022("2022"),
    _2023("2023"),
    _2024("2024"),
    _2025("2025");

    private final String year;

    Year(String year) {
        this.year = year;
    }

    @Override
    public String getValue() {
        return year;
    }

    public static Year getPreviousYear() {
        return Year.valueOf("_" + String.valueOf(java.time.Year.now().getValue() - 1));
    }
}
